import type { VNode, AppContext } from 'vue';
export declare type MessageProps = {
    type: String;
    zIndex: Number;
    duration: Number;
    message: String | Object | Function;
    offset: Number;
    onClose: Function;
    dangerouslyUseHTMLString: {
        type: Boolean;
        default: false;
    };
};
declare type MessageOptions = Omit<MessageProps, 'id'> & {
    appendTo?: HTMLElement | string;
};
declare type MessageOptionsTyped = Omit<MessageOptions, 'type'>;
declare type MessageParams = Partial<MessageOptions> | string | VNode;
declare type MessageParamsTyped = Partial<MessageOptionsTyped> | string | VNode;
interface MessageHandle {
    close: () => void;
}
declare type MessageFn = ((options?: MessageParams, appContext?: null | AppContext) => MessageHandle) & {
    closeAll(): void;
};
export declare type MessageTypedFn = (options?: MessageParamsTyped, appContext?: null | AppContext) => MessageHandle;
export interface Message extends MessageFn {
    success: MessageTypedFn;
    warning: MessageTypedFn;
    info: MessageTypedFn;
    error: MessageTypedFn;
}
export declare const messageTypes: readonly ["success", "info", "warning", "error"];
export {};
