"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeClass = exports.addClass = exports.hasClass = exports.classNameToArray = void 0;
const classNameToArray = (cls = '') => cls.split(' ').filter((item) => !!item.trim());
exports.classNameToArray = classNameToArray;
const hasClass = (el, cls) => {
    if (!el || !cls)
        return false;
    if (cls.includes(' '))
        throw new Error('className should not contain space.');
    return el.classList.contains(cls);
};
exports.hasClass = hasClass;
const addClass = (el, cls) => {
    if (!el || !cls.trim())
        return;
    el.classList.add(...exports.classNameToArray(cls));
};
exports.addClass = addClass;
const removeClass = (el, cls) => {
    if (!el || !cls.trim())
        return;
    el.classList.remove(...exports.classNameToArray(cls));
};
exports.removeClass = removeClass;
