"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const index_vue_1 = tslib_1.__importDefault(require("./src/index.vue"));
const vue_1 = require("vue");
let introObj = [];
const intro = (options) => {
    const container = document.createElement('div');
    const onClosed = () => {
        vue_1.render(null, container);
        container.remove();
        introObj = [];
    };
    const vnode = vue_1.createVNode(index_vue_1.default, { ...options, onClosed });
    vue_1.render(vnode, container);
    const appendTo = document.body;
    appendTo.appendChild(container.firstElementChild);
    const instance = vnode.component;
    const vm = instance?.proxy;
    return vm;
};
const introGenerate = (options) => {
    if (introObj.length === 0) {
        const _intro = intro(options);
        introObj.push(_intro);
    }
    return introObj[0];
};
exports.default = introGenerate;
