"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const index_vue_1 = tslib_1.__importDefault(require("./src/index.vue"));
const vue_1 = require("vue");
let pilotObj = [];
const pilot = (options) => {
    const container = document.createElement('div');
    const onClosed = () => {
        vue_1.render(null, container);
        container.remove();
        pilotObj = [];
    };
    const vnode = vue_1.createVNode(index_vue_1.default, { ...options, onClosed });
    vue_1.render(vnode, container);
    const appendTo = document.body;
    appendTo.appendChild(container.firstElementChild);
    const instance = vnode.component;
    const vm = instance?.proxy;
    return vm;
};
const pilotGenerate = (options) => {
    if (pilotObj.length === 0) {
        const _pilot = pilot(options);
        pilotObj.push(_pilot);
    }
    return pilotObj[0];
};
class PilotJs {
    constructor() {
        this.currentStep = '';
        this.offset = 0;
    }
    create() {
        if (!this.instance) {
            this.instance = pilotGenerate({});
        }
    }
    show(config) {
        if (this.instance) {
            const { content, step, callback } = config;
            this.instance.position(content, step, callback);
        }
    }
    hide() {
        this.instance && this.instance.close();
    }
    destroy() {
        this.instance && this.instance.destroy();
        this.instance = null;
    }
}
const pilotInstance = {
    install(app) {
        app.config.globalProperties.$pilot = new PilotJs();
    }
};
exports.default = pilotInstance;
